## org.eclipse.jst.jsf.common.metadata.query
Class AbstractMetaDataVisitor

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor

All Implemented Interfaces:
  IMetaDataVisitor

Direct Known Subclasses:
  AbstractEntityVisitor, AbstractTraitVisitor

    public abstract class AbstractMetaDataVisitor

extends java.lang.Object
implements IMetaDataVisitor

Abstract class implementing `IMetaDataVisitor`

Provisional API - subject to change

Constructor Summary
`AbstractMetaDataVisitor()`

Method Summary
`boolean` `stopVisiting()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMetaDataVisitor

    public AbstractMetaDataVisitor()

Method Detail

### stopVisiting

    public boolean stopVisiting()

  Specified by:
    `stopVisiting` in interface `IMetaDataVisitor`
  Returns:
    true if visitor has recognized that visiting should stop